Subject: Re: [BUG] git bash-completion is incorrect for "git pull origin mas<tab>" if the ssh key is encrypted

From: Zbigniew Jędrzejewski-Szmek <[email-masked]>
Date: Thu, 22 Mar 2012 19:30:05 +0100

On 03/22/2012 06:55 PM, Matthieu Moy wrote:
> Junio C Hamano<[email-masked]>  writes:
>
>> Zbigniew Jędrzejewski-Szmek<[email-masked]>  writes:
>>
>>> Maybe git-ls-remote should learn --quiet?
>>
>> I would rather think that the completion should ask for refs only when
>> dealing with local repositories, without going over network, whether the
>> query involves authentication or not.
>
> It depends on what "network" is. When the network is just a machine on
> the same Gb-ethernet LAN, completion can still be useful (only if you
> have password-less authentication of course). I don't use it much with
> Git, but I find it handy that ZSH completes rsync remote pathes for
> example.
Yeah, I can second that. Even on a slow network, it can be useful. I use 
ssh with ControlMaster=yes and completion over a relatively slow network 
is pretty much instantaneous.

-
Zbyszek